Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCDefBase

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase`

Direct Known Subclasses:
  DCConfigurationDef, DCControlBindingDef, DCDataControlConfigDef, DCDataControlDef, DCExecutableBindingDef, oracle.adf.model.layout.DCLayoutConsDef, oracle.adf.model.layout.DCLayoutDef, DCParameterSetDef, JUFormattedTextFieldDef.DateFormatDef, JUFormattedTextFieldDef.MaskFormatDef, JUFormattedTextFieldDef.NumberFormatDef, JUFormattedTextFieldDef.RegExpFormatDef, JUSpinnerDef.SpinnerDateModelDef, JUSpinnerDef.SpinnerNumberModelDef, JUTableDef.JUEditorPropDef, JUTableDef.JUTableAttrPropDef

public abstract class DCDefBase
extends oracle.jbo.mom.DefinitionObject

Field Summary
`static java.lang.String` | `DEF_XMLNS`
`static java.lang.String` | `DEF_XMLNS_BASE`
`static java.lang.String` | `PNAME_AccessorIterator`
`static java.lang.String` | `PNAME_Action`
`static java.lang.String` | `PNAME_Boolean`
`static java.lang.String` | `PNAME_Button`
`static java.lang.String` | `PNAME_ButtonGroup`
`static java.lang.String` | `PNAME_ComboBox`
`static java.lang.String` | `PNAME_DataControlAction`
`static java.lang.String` | `PNAME_DefaultControl`
`static java.lang.String` | `PNAME_DynamicTable`
`static java.lang.String` | `PNAME_EnumList`
`static java.lang.String` | `PNAME_FormattedTextField`
`static java.lang.String` | `PNAME_Graph`
`static java.lang.String` | `PNAME_HGrid`
`static java.lang.String` | `PNAME_Iterator`
`static java.lang.String` | `PNAME_Label`
`static java.lang.String` | `PNAME_ListSingleSel`
`static java.lang.String` | `PNAME_LovButton`
`static java.lang.String` | `PNAME_LOVList`
`static java.lang.String` | `PNAME_MethodAction`
`static java.lang.String` | `PNAME_MethodIterator`
`static java.lang.String` | `PNAME_NavigationBar`
`static java.lang.String` | `PNAME_NavigationList`
`static java.lang.String` | `PNAME_Panel`
`static java.lang.String` | `PNAME_Parameter`
`static java.lang.String` | `PNAME_ProgressBar`
`static java.lang.String` | `PNAME_ProgressBarAttr`
`static java.lang.String` | `PNAME_Range`
`static java.lang.String` | `PNAME_ScrollBar`
`static java.lang.String` | `PNAME_ScrollBarAttr`
`static java.lang.String` | `PNAME_Slider`
`static java.lang.String` | `PNAME_SliderAttr`
`static java.lang.String` | `PNAME_Spinner`
`static java.lang.String` | `PNAME_Table`
`static java.lang.String` | `PNAME_TextField`
`static java.lang.String` | `PNAME_ToplinkIterator`
`static java.lang.String` | `PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`DCDefBase()`
`DCDefBase(java.lang.String name)`

Method Summary
`static boolean` | `convertToBoolean(java.lang.Object val)`
`static int` | `convertToInt(java.lang.Object val)`
`static int[]` | `convertToIntArray(java.lang.Object[] arr)`
`static DCDefBase` | `createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String defSubType)`
`java.lang.String` | `getDefClassName()`
`java.lang.String` | `getSubType()`
`abstract java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`boolean` | `isDirty()`
`boolean` | `isNew()`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `loadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`static void` | `readXMLBoolean(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.HashMap valueTab)`
`static void` | `readXMLInt(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.HashMap valueTab)`
`static void` | `readXMLString(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.HashMap valueTab)`
`static void` | `readXMLStringArray(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.HashMap valueTab)`
`static void` | `readXMLStringArrayList(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.ArrayList list)`
`static void` | `readXMLStringArrayList(oracle.jbo.mom.xml.DefElement xmlElement, java.lang.String name, java.util.HashMap valueTab)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setDefClassName(java.lang.String defClassName)`
`void` | `setDirty(boolean isDirty)`
`void` | `setNew(boolean isNew)`
`void` | `setSubType(java.lang.String subType)`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_XMLNS_BASE

    public static final java.lang.String DEF_XMLNS_BASE

  See Also:
    Constant Field Values

### DEF_XMLNS

    public static final java.lang.String DEF_XMLNS

  See Also:
    Constant Field Values

### PNAME_Action

    public static final java.lang.String PNAME_Action

  See Also:
    Constant Field Values

### PNAME_Button

    public static final java.lang.String PNAME_Button

  See Also:
    Constant Field Values

### PNAME_ButtonGroup

    public static final java.lang.String PNAME_ButtonGroup

  See Also:
    Constant Field Values

### PNAME_ComboBox

    public static final java.lang.String PNAME_ComboBox

  See Also:
    Constant Field Values

### PNAME_DefaultControl

    public static final java.lang.String PNAME_DefaultControl

  See Also:
    Constant Field Values

### PNAME_FormattedTextField

    public static final java.lang.String PNAME_FormattedTextField

  See Also:
    Constant Field Values

### PNAME_Graph

    public static final java.lang.String PNAME_Graph

  See Also:
    Constant Field Values

### PNAME_Label

    public static final java.lang.String PNAME_Label

  See Also:
    Constant Field Values

### PNAME_ListSingleSel

    public static final java.lang.String PNAME_ListSingleSel

  See Also:
    Constant Field Values

### PNAME_LovButton

    public static final java.lang.String PNAME_LovButton

  See Also:
    Constant Field Values

### PNAME_NavigationBar

    public static final java.lang.String PNAME_NavigationBar

  See Also:
    Constant Field Values

### PNAME_ScrollBar

    public static final java.lang.String PNAME_ScrollBar

  See Also:
    Constant Field Values

### PNAME_ScrollBarAttr

    public static final java.lang.String PNAME_ScrollBarAttr

  See Also:
    Constant Field Values

### PNAME_Spinner

    public static final java.lang.String PNAME_Spinner

  See Also:
    Constant Field Values

### PNAME_Table

    public static final java.lang.String PNAME_Table

  See Also:
    Constant Field Values

### PNAME_DynamicTable

    public static final java.lang.String PNAME_DynamicTable

  See Also:
    Constant Field Values

### PNAME_TextField

    public static final java.lang.String PNAME_TextField

  See Also:
    Constant Field Values

### PNAME_Tree

    public static final java.lang.String PNAME_Tree

  See Also:
    Constant Field Values

### PNAME_Panel

    public static final java.lang.String PNAME_Panel

  See Also:
    Constant Field Values

### PNAME_Range

    public static final java.lang.String PNAME_Range

  See Also:
    Constant Field Values

### PNAME_Boolean

    public static final java.lang.String PNAME_Boolean

  See Also:
    Constant Field Values

### PNAME_Parameter

    public static final java.lang.String PNAME_Parameter

  See Also:
    Constant Field Values

### PNAME_ProgressBar

    public static final java.lang.String PNAME_ProgressBar

  See Also:
    Constant Field Values

### PNAME_ProgressBarAttr

    public static final java.lang.String PNAME_ProgressBarAttr

  See Also:
    Constant Field Values

### PNAME_Slider

    public static final java.lang.String PNAME_Slider

  See Also:
    Constant Field Values

### PNAME_SliderAttr

    public static final java.lang.String PNAME_SliderAttr

  See Also:
    Constant Field Values

### PNAME_Iterator

    public static final java.lang.String PNAME_Iterator

  See Also:
    Constant Field Values

### PNAME_MethodIterator

    public static final java.lang.String PNAME_MethodIterator

  See Also:
    Constant Field Values

### PNAME_AccessorIterator

    public static final java.lang.String PNAME_AccessorIterator

  See Also:
    Constant Field Values

### PNAME_ToplinkIterator

    public static final java.lang.String PNAME_ToplinkIterator

  See Also:
    Constant Field Values

### PNAME_EnumList

    public static final java.lang.String PNAME_EnumList

  See Also:
    Constant Field Values

### PNAME_HGrid

    public static final java.lang.String PNAME_HGrid

  See Also:
    Constant Field Values

### PNAME_LOVList

    public static final java.lang.String PNAME_LOVList

  See Also:
    Constant Field Values

### PNAME_NavigationList

    public static final java.lang.String PNAME_NavigationList

  See Also:
    Constant Field Values

### PNAME_MethodAction

    public static final java.lang.String PNAME_MethodAction

  See Also:
    Constant Field Values

### PNAME_DataControlAction

    public static final java.lang.String PNAME_DataControlAction

  See Also:
    Constant Field Values

Constructor Detail

### DCDefBase

    public DCDefBase()

### DCDefBase

    public DCDefBase(java.lang.String name)

Method Detail

### init

    public void init(java.util.HashMap initValues)

### initSubType

    protected void initSubType()

### getSubType

    public java.lang.String getSubType()

### setSubType

    public void setSubType(java.lang.String subType)

### getDefClassName

    public java.lang.String getDefClassName()

### setDefClassName

    public void setDefClassName(java.lang.String defClassName)

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty(boolean isDirty)

### isNew

    public boolean isNew()

### setNew

    public void setNew(boolean isNew)

### readXMLString

    public static void readXMLString(oracle.jbo.mom.xml.DefElement xmlElement,
                                     java.lang.String name,
                                     java.util.HashMap valueTab)

### readXMLInt

    public static void readXMLInt(oracle.jbo.mom.xml.DefElement xmlElement,
                                  java.lang.String name,
                                  java.util.HashMap valueTab)

### readXMLBoolean

    public static void readXMLBoolean(oracle.jbo.mom.xml.DefElement xmlElement,
                                      java.lang.String name,
                                      java.util.HashMap valueTab)

### readXMLStringArray

    public static void readXMLStringArray(oracle.jbo.mom.xml.DefElement xmlElement,
                                          java.lang.String name,
                                          java.util.HashMap valueTab)

### readXMLStringArrayList

    public static void readXMLStringArrayList(oracle.jbo.mom.xml.DefElement xmlElement,
                                              java.lang.String name,
                                              java.util.ArrayList list)

### readXMLStringArrayList

    public static void readXMLStringArrayList(oracle.jbo.mom.xml.DefElement xmlElement,
                                              java.lang.String name,
                                              java.util.HashMap valueTab)

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

### loadFromXML

    public void loadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

### createAndLoadFromXML

    public static DCDefBase createAndLoadFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                                 java.lang.String defSubType)

### getXMLElementTag

    public abstract java.lang.String getXMLElementTag()

### convertToInt

    public static int convertToInt(java.lang.Object val)

### convertToBoolean

    public static boolean convertToBoolean(java.lang.Object val)

### convertToIntArray

    public static int[] convertToIntArray(java.lang.Object[] arr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.